Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/counter_definitions"{ "data": [ { "id": "string", "name": "string", "event": "string", "window": "none", "filter": null, "status": "backfilling", "backfill": { "cutoff": "2019-08-24T14:15:22Z", "pending_events": 0, "coverage": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "first_seen_at": "2019-08-24T14:15:22Z", "complete": true, "events_scanned": 0, "events_counted": 0, "blocked": "history_unavailable", "accepted": { "at": "2019-08-24T14:15:22Z", "by": "string" } } }, "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/counter_definitions" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "name": "purchases", "event": "order.paid" }'{ "id": "string", "name": "string", "event": "string", "window": "none", "filter": null, "status": "backfilling", "backfill": { "cutoff": "2019-08-24T14:15:22Z", "pending_events": 0, "coverage": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "first_seen_at": "2019-08-24T14:15:22Z", "complete": true, "events_scanned": 0, "events_counted": 0, "blocked": "history_unavailable", "accepted": { "at": "2019-08-24T14:15:22Z", "by": "string" } } }, "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/counter_definitions/string"{ "id": "string", "name": "string", "event": "string", "window": "none", "filter": null, "status": "backfilling", "backfill": { "cutoff": "2019-08-24T14:15:22Z", "pending_events": 0, "coverage": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "first_seen_at": "2019-08-24T14:15:22Z", "complete": true, "events_scanned": 0, "events_counted": 0, "blocked": "history_unavailable", "accepted": { "at": "2019-08-24T14:15:22Z", "by": "string" } } }, "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/counter_definitions/string"Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/counter_definitions/string/backfill"{ "status": "ready", "mode": "inline", "result": null}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/counter_definitions/string/accept_coverage"{ "id": "string", "name": "string", "event": "string", "window": "none", "filter": null, "status": "backfilling", "backfill": { "cutoff": "2019-08-24T14:15:22Z", "pending_events": 0, "coverage": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "first_seen_at": "2019-08-24T14:15:22Z", "complete": true, "events_scanned": 0, "events_counted": 0, "blocked": "history_unavailable", "accepted": { "at": "2019-08-24T14:15:22Z", "by": "string" } } }, "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/counter_definitions/string/rebuild"{ "id": "string", "name": "string", "event": "string", "window": "none", "filter": null, "status": "backfilling", "backfill": { "cutoff": "2019-08-24T14:15:22Z", "pending_events": 0, "coverage": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "first_seen_at": "2019-08-24T14:15:22Z", "complete": true, "events_scanned": 0, "events_counted": 0, "blocked": "history_unavailable", "accepted": { "at": "2019-08-24T14:15:22Z", "by": "string" } } }, "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/counter_definitions/string/customers/string"{ "counter": "string", "customer_id": "string", "windows": [ { "window_key": "string", "count": 0 } ], "next_cursor": "string", "has_more": true}